std::experimental::atomic_weak_ptr::is_lock_free(3)

NAME
std::experimental::atomic_weak_ptr::is_lock_free - std::experimental::atomic_weak_ptr::is_lock_free

Synopsis
   bool is_lock_free() const noexcept;
   Checks whether the atomic operations on all objects of this type are lock-free.

Parameters
   (none)

Return value
   true if the atomic operations on the objects of this type are lock-free, false
   otherwise.

See also
   std::atomic_is_lock_free(std::shared_ptr)
   std::atomic_load(std::shared_ptr)
   std::atomic_load_explicit(std::shared_ptr)
   std::atomic_store(std::shared_ptr)
   std::atomic_store_explicit(std::shared_ptr) specializes atomic
   std::atomic_exchange(std::shared_ptr) operations for
   std::atomic_exchange_explicit(std::shared_ptr) std::shared_ptr
   std::atomic_compare_exchange_weak(std::shared_ptr) (function template)
   std::atomic_compare_exchange_strong(std::shared_ptr)
   std::atomic_compare_exchange_weak_explicit(std::shared_ptr)
   std::atomic_compare_exchange_strong_explicit(std::shared_ptr)
   (deprecated in C++20)